Subject: bug#13649: boobytrapped dired-do-async-shell-command question

From: "Drew Adams" <[email-masked]>
Date: Fri, 8 Feb 2013 08:33:49 -0800

> > The minibuffer is perfectly capable of displaying 
> > multi-line prompts.
> 
> Not mine, because it doesn't know how to grow a minibuffer-only frame.

I assume that your point is not to assume that users have a minibuffer that can
grow.

But just in case you are also interested in growing a standalone minibuffer, see
`1on1-fit-minibuffer' here:
http://www.emacswiki.org/emacs-en/download/oneonone.el

I add it to `post-command-hook':
(if (and 1on1-fit-minibuffer-frame-flag (require 'fit-frame nil t))
    (add-hook 'post-command-hook '1on1-fit-minibuffer-frame)
  (remove-hook 'post-command-hook '1on1-fit-minibuffer-frame))